@import "fonts.css";
:root {
  --artsound-auth-p1: 0.25rem; /* 4px */
  --artsound-auth-p2: 0.5rem; /* 8px */
  --artsound-auth-p3: 0.75rem; /* 12px */
  --artsound-auth-p4: 1rem; /* 16px */
  --artsound-auth-p5: 1.25rem; /* 20px */
  --artsound-auth-p6: 1.5rem; /* 24px */
  --artsound-auth-p8: 2rem; /* 32px */
  --artsound-auth-p10: 2.5rem; /* 40px */
  --artsound-auth-text-xs: 0.75rem; /* 12px */
  --artsound-auth-text-sm: 0.875rem; /* 12px */
  --artsound-auth-text-md: 1rem; /* 16px */
  --artsound-auth-form-width: 26rem;
  --artsound-auth-color-facebook: hsla(221, 40%, 47%, 1);
  --artsound-auth-color-google: hsla(4, 69%, 53%, 1);
  --artsound-auth-color-twitter: hsla(195, 100%, 60%, 1);
  --artsound-auth-form-control-border: 1px solid red;
  --artsound-auth-form-control-padding: 4px;
  --artsound-auth-shadow-color: black;
  --artsound-auth-shadow: 0 3px 6px var(--artsound-auth-shadow-color);

  --artsound-auth-red-100: hsla(0, 100%, 94%, 1);
  --artsound-auth-red-500: hsla(4, 69%, 53%, 1);

  --artsound-auth-danger-100: rgb(65, 30, 30);
  --artsound-auth-danger-500: hsla(4, 69%, 53%, 1);

  --artsound-auth-color-success-100: rgba(20, 72, 46, 0.5);
  --artsound-auth-color-text: black;
  --artsound-auth-color-header: var(--artsound-auth-color-text);

  --artsound-auth-color-accent-500: red;
}

body {
  direction: rtl;
  text-align: right;
}

.artsound-auth-container .text-xs {
  font-size: 0.75rem;
  font-size: var(--artsound-auth-text-xs);
}

.artsound-auth-container .text-sm {
  font-size: 0.875rem;
  font-size: var(--artsound-auth-text-sm);
}

.artsound-auth-container .text-md {
  font-size: 1rem;
  font-size: var(--artsound-auth-text-md);
}

.artsound-auth-container .cursor-pointer {
  cursor: pointer;
}

.artsound-auth-container .pt-1 {
  padding-top: 0.25rem !important;
  padding-top: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .pt-2 {
  padding-top: 0.5rem !important;
  padding-top: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .pt-4 {
  padding-top: 1rem !important;
  padding-top: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .pt-10 {
  padding-top: 2.5rem !important;
  padding-top: var(--artsound-auth-p10) !important;
}

.artsound-auth-container .pb-1 {
  padding-bottom: 0.25rem !important;
  padding-bottom: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .pb-2 {
  padding-bottom: 0.5rem !important;
  padding-bottom: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .pb-4 {
  padding-bottom: 1rem !important;
  padding-bottom: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .pb-10 {
  padding-bottom: 2.5rem !important;
  padding-bottom: var(--artsound-auth-p10) !important;
}

.artsound-auth-container .mr-1 {
  margin-right: 0.25rem !important;
  margin-right: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .mr-2 {
  margin-right: 0.5rem !important;
  margin-right: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .mr-4 {
  margin-right: 1rem !important;
  margin-right: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .mr-6 {
  margin-right: 1.5rem !important;
  margin-right: var(--artsound-auth-p6) !important;
}
.artsound-auth-container .mr-10 {
  margin-right: 2.5rem !important;
  margin-right: var(--artsound-auth-p10) !important;
}
.artsound-auth-container .ml-1 {
  margin-left: 0.25rem !important;
  margin-left: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .ml-2 {
  margin-left: 0.5rem !important;
  margin-left: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .ml-4 {
  margin-left: 1rem !important;
  margin-left: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .ml-6 {
  margin-left: 1.5rem !important;
  margin-left: var(--artsound-auth-p6) !important;
}
.artsound-auth-container .ml-10 {
  margin-left: 2.5rem !important;
  margin-left: var(--artsound-auth-p10) !important;
}
.artsound-auth-container .mb-1 {
  margin-bottom: 0.25rem !important;
  margin-bottom: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .mb-2 {
  margin-bottom: 0.5rem !important;
  margin-bottom: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .mb-4 {
  margin-bottom: 1rem !important;
  margin-bottom: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .mb-5 {
  margin-bottom: 1.25rem !important;
  margin-bottom: var(--artsound-auth-p5) !important;
}
.artsound-auth-container .mb-6 {
  margin-bottom: 1.5rem !important;
  margin-bottom: var(--artsound-auth-p6) !important;
}
.artsound-auth-container .mb-8 {
  margin-bottom: 2rem !important;
  margin-bottom: var(--artsound-auth-p8) !important;
}
.artsound-auth-container .mb-10 {
  margin-bottom: 2.5rem !important;
  margin-bottom: var(--artsound-auth-p10) !important;
}

.artsound-auth-container .mt-1 {
  margin-top: 0.25rem !important;
  margin-top: var(--artsound-auth-p1) !important;
}
.artsound-auth-container .mt-2 {
  margin-top: 0.5rem !important;
  margin-top: var(--artsound-auth-p2) !important;
}
.artsound-auth-container .mt-4 {
  margin-top: 1rem !important;
  margin-top: var(--artsound-auth-p4) !important;
}
.artsound-auth-container .mt-5 {
  margin-top: 1.25rem !important;
  margin-top: var(--artsound-auth-p5) !important;
}
.artsound-auth-container .mt-6 {
  margin-top: 1.5rem !important;
  margin-top: var(--artsound-auth-p6) !important;
}
.artsound-auth-container .mt-10 {
  margin-top: 2.5rem !important;
  margin-top: var(--artsound-auth-p10) !important;
}

.artsound-auth-container .border-r-0 {
  border-right-width: 0 !important;
}

.artsound-auth-container .border-l-0 {
  border-left-width: 0 !important;
}

.artsound-auth-container .btn-social {
  color: white;
  border: 0;
}

.artsound-auth-container .btn-flat {
  padding: 0 !important;
}

.artsound-auth-container .btn-facebook {
  background: hsla(221, 40%, 47%, 1);
  background: var(--artsound-auth-color-facebook);
}
.artsound-auth-container .btn-facebook:hover {
  background: hsla(221, 40%, 40%, 1);
}

.artsound-auth-container .btn-google {
  background: hsla(4, 69%, 53%, 1);
  background: var(--artsound-auth-color-google);
}
.artsound-auth-container .btn-google:hover {
  background: hsla(4, 59%, 47%, 1);
}

.artsound-auth-container .btn-twitter {
  background: hsla(195, 100%, 60%, 1);
  background: var(--artsound-auth-color-twitter);
}
.artsound-auth-container .btn-twitter:hover {
  background: hsla(195, 78%, 54%, 1);
}

.artsound-auth-form .btn.btn-primary {
  border: 0;
  background-color: red;
  background-color: var(--artsound-auth-color-accent-500);
}

.artsound-auth-form .btn.btn-primary:hover {
  background-color: var(--artsound-auth-color-accent-700);
}

.artsound-auth-container .text-facebook {
  color: hsla(221, 40%, 47%, 1);
  color: var(--artsound-auth-color-facebook);
}

.artsound-auth-container .text-google {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-color-google);
}

.artsound-auth-container .text-twitter {
  color: hsla(195, 100%, 60%, 1);
  color: var(--artsound-auth-color-twitter);
}

.artsound-auth-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  font-family: var(--artsound-auth-font-family);
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-container a {
  color: var(--artsound-auth-link-color);
}

.artsound-auth-form {
  margin: 0 auto;
}

.artsound-auth-form h4 {
  color: black;
  color: var(--artsound-auth-color-header);
  font-weight: 700;
  margin-bottom: 1rem;
  margin-bottom: var(--artsound-auth-p4);
}

.artsound-auth-form .artsound-auth-logo {
  text-align: center;
  margin-bottom: 2.5rem;
  margin-bottom: var(--artsound-auth-p10);
}

.artsound-auth-form .form-control {
  height: auto;
  border: 1px solid red;
  border: var(--artsound-auth-form-control-border);
  padding: 4px;
  padding: var(--artsound-auth-form-control-padding);
  border-radius: var(--artsound-auth-form-control-radius);
  box-shadow: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.artsound-auth-form .input-group-prepend .input-group-text,
.artsound-auth-form .input-group-append .input-group-text {
  border: 1px solid red;
  border: var(--artsound-auth-form-control-border);
  padding: 4px;
  padding: var(--artsound-auth-form-control-padding);
  border-radius: var(--artsound-auth-form-control-radius);
  text-align: center;
  display: inline-block;
  min-width: 48px;
}

.artsound-auth-form .input-group-prepend .input-group-text svg,
.artsound-auth-form .input-group-append .input-group-text svg {
  fill: currentColor;
}

.artsound-auth-form .input-group .input-group-prepend + .form-control {
  border-right: 0 !important;
  padding-right: 0.25rem;
  padding-right: var(--artsound-auth-p1);
}

.artsound-auth-form .input-group .input-group-append + .form-control {
  border-left: 0;
  padding-left: 0.25rem;
  padding-left: var(--artsound-auth-p1);
}

.artsound-auth-container .alert-danger {
  background-color: hsla(0, 100%, 94%, 1);
  background-color: var(--artsound-auth-danger-100);
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control,
.artsound-auth-container .has-error .input-group-append .input-group-text,
.artsound-auth-container .has-error .input-group-prepend .input-group-text {
  border-color: hsla(4, 69%, 53%, 1);
  border-color: var(--artsound-auth-danger-500);
  outline-color: hsla(4, 69%, 53%, 1);
  outline-color: var(--artsound-auth-danger-500);
  box-shadow: none;
}

.artsound-auth-container .has-error .form-control,
.artsound-auth-container .has-error .input-group-prepend .input-group-text {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-inner {
  /* min-height: 100vh; */
  display: flex;
  flex-direction: column;
}

.artsound-auth-form {
  margin: auto;
}

@media (min-width: 768px) {
  .artsound-auth-inner {
    height: auto;
    width: 26rem;
    width: var(--artsound-auth-form-width);
  }

  .artsound-auth-form {
    width: 26rem;
    width: var(--artsound-auth-form-width);
  }
}

.artsound-auth-container .has-error {
  background: hsla(0, 100%, 94%, 1);
  background: var(--artsound-auth-danger-100);
}

.artsound-auth-container .has-error .form-control::-webkit-input-placeholder {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control::-moz-placeholder {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control:-ms-input-placeholder {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control::-ms-input-placeholder {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control::placeholder {
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .has-error .form-control,
.artsound-auth-container .has-error .input-group-text,
.artsound-auth-container .has-error input:-webkit-autofill,
.artsound-auth-container .has-error input:-webkit-autofill:hover,
.artsound-auth-container .has-error input:-webkit-autofill:focus,
.artsound-auth-container .has-error input:-webkit-autofill:active {
  box-shadow: 0 0 0 30px hsla(0, 100%, 94%, 1) inset !important;
  box-shadow: 0 0 0 30px var(--artsound-auth-danger-100) inset !important;
  border-color: hsla(4, 69%, 53%, 1);
  border-color: var(--artsound-auth-danger-500);
  border-radius: 20px;
  color: hsla(4, 69%, 53%, 1);
  color: var(--artsound-auth-danger-500);
}

.artsound-auth-container .is-valid,
.artsound-auth-container .is-valid input:-webkit-autofill,
.artsound-auth-container .is-valid input:-webkit-autofill:hover,
.artsound-auth-container .is-valid input:-webkit-autofill:focus,
.artsound-auth-container .is-valid input:-webkit-autofill:active {
  background-color: hsla(152, 68%, 96%, 1);
  background-color: var(--artsound-auth-color-success-100);
  box-shadow: 0 0 0 30px hsla(152, 68%, 96%, 1) inset !important;
  box-shadow: 0 0 0 30px var(--artsound-auth-color-success-100) inset !important;
}

.artsound-auth-form .form-group.focused:not(.has-error) {
  /* background: white; */
  border-color: var(--artsound-auth-color-text-100);
}

.artsound-auth-form .form-control,
.artsound-auth-form .input-group-text {
  color: black;
  color: var(--artsound-auth-color-text);
  background: transparent;
}

.artsound-auth-form .form-control::-webkit-input-placeholder {
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-form .form-control::-moz-placeholder {
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-form .form-control:-ms-input-placeholder {
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-form .form-control::-ms-input-placeholder {
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-form .form-control::placeholder {
  color: black;
  color: var(--artsound-auth-color-text);
}

.artsound-auth-container
  .custom-control-input:checked
  ~ .custom-control-label::before {
  border-color: red;
  border-color: var(--artsound-auth-color-accent-500);
  background-color: red;
  background-color: var(--artsound-auth-color-accent-500);
}

/* INPUT ADDONS */

.artsound-auth-form .form-group .input-group-append .input-group-text {
  padding-right: 0.5rem;
  padding-right: var(--artsound-auth-p2);
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-right: 0 !important;
}

.artsound-auth-form .form-group .input-group-append .input-group-text:hover {
  color: red;
  color: var(--artsound-auth-color-accent-500);
}

.artsound-auth-form .input-group-prepend .input-group-text {
  padding-left: 0.5rem;
  padding-left: var(--artsound-auth-p2);
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  border-left: 0 !important;
}

/* ALERTS */

.artsound-auth-container .alert {
  margin-bottom: 1rem;
  margin-bottom: var(--artsound-auth-p4);
}

.artsound-auth-container .password-field .form-control {
  border-left: 0 !important;
}

.artsound-auth-container .btn-icon {
  margin-left: 8px;
}
